Package com.smartgwt.client.types

# Enum TimeFormatter

java.lang.Object
java.lang.Enum<TimeFormatter>
com.smartgwt.client.types.TimeFormatter

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TimeFormatter>`, `Constable`

@Deprecated public enum TimeFormatter extends Enum<TimeFormatter> implements ValueEnum
Deprecated.
Use `DateDisplayFormatter` instead
String designating a standard time formatter for displaying the times associated with &#010 dates strings.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `TO24HOURTIME`
  Deprecated.
  String will display with seconds in 24 hour time: `[H]H:MM:SS`.
  `TOPADDED24HOURTIME`
  Deprecated.
  String will display with seconds, with a 2 digit hour in 24 hour format: &#010 `HH:MM:SS`
  &#010 Examples: `15:25:15`, `03:16:45`
  `TOPADDEDTIME`
  Deprecated.
  String will display with seconds, with a 2 digit hour and am/pm indicator: &#010 `HH:MM:SS am|pm`
  &#010 Example: `03:25:15 pm`
  `TOSHORT24HOURTIME`
  Deprecated.
  String will have no seconds and be in 24 hour format: `[H]H:MM`
  &#010 Example:`15:25`
  `TOSHORTPADDED24HOURTIME`
  Deprecated.
  String will have no seconds and will display with a 2 digit hour in 24 hour clock format:&#010 `HH:MM`
  &#010 Examples: `15:25`, `03:16`
  `TOSHORTPADDEDTIME`
  Deprecated.
  String will have no seconds and will display a 2 digit hour, in 12 hour clock format:&#010 `HH:MM am|pm`
  &#010 Exmaple: `03:25 pm`
  `TOSHORTTIME`
  Deprecated.
  String will have no seconds and be in 12 hour format:`[H]H:MM am|pm`
  &#010 Example: `3:25 pm`
  `TOTIME`
  Deprecated.
  String will display with seconds and am/pm indicator:`[H]H:MM:SS am|pm`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  Deprecated.
  `static TimeFormatter`
  `valueOf(String name)`
  Deprecated.
  Returns the enum constant of this type with the specified name.
  `static TimeFormatter[]`
  `values()`
  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOTIME

    public static final TimeFormatter TOTIME
    Deprecated.
    String will display with seconds and am/pm indicator:`[H]H:MM:SS am|pm`.
    &#010 Example: `3:25:15 pm`

  - ### TO24HOURTIME

    public static final TimeFormatter TO24HOURTIME
    Deprecated.
    String will display with seconds in 24 hour time: `[H]H:MM:SS`.
    &#010 Example: `15:25:15`

  - ### TOPADDEDTIME

    public static final TimeFormatter TOPADDEDTIME
    Deprecated.
    String will display with seconds, with a 2 digit hour and am/pm indicator: &#010 `HH:MM:SS am|pm`
    &#010 Example: `03:25:15 pm`

  - ### TOPADDED24HOURTIME

    public static final TimeFormatter TOPADDED24HOURTIME
    Deprecated.
    String will display with seconds, with a 2 digit hour in 24 hour format: &#010 `HH:MM:SS`
    &#010 Examples: `15:25:15`, `03:16:45`

  - ### TOSHORTTIME

    public static final TimeFormatter TOSHORTTIME
    Deprecated.
    String will have no seconds and be in 12 hour format:`[H]H:MM am|pm`
    &#010 Example: `3:25 pm`

  - ### TOSHORT24HOURTIME

    public static final TimeFormatter TOSHORT24HOURTIME
    Deprecated.
    String will have no seconds and be in 24 hour format: `[H]H:MM`
    &#010 Example:`15:25`

  - ### TOSHORTPADDEDTIME

    public static final TimeFormatter TOSHORTPADDEDTIME
    Deprecated.
    String will have no seconds and will display a 2 digit hour, in 12 hour clock format:&#010 `HH:MM am|pm`
    &#010 Exmaple: `03:25 pm`

  - ### TOSHORTPADDED24HOURTIME

    public static final TimeFormatter TOSHORTPADDED24HOURTIME
    Deprecated.
    String will have no seconds and will display with a 2 digit hour in 24 hour clock format:&#010 `HH:MM`
    &#010 Examples: `15:25`, `03:16`

- ## Method Details

  - ### values

    public static TimeFormatter[] values()
    Deprecated.
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TimeFormatter valueOf(String name)
    Deprecated.
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Deprecated.
    Specified by:
      `getValue` in interface `ValueEnum`